Bug 61764 - up2date-2.7.60-7.x.2 - show-channels weirdness
up2date-2.7.60-7.x.2 - show-channels weirdness
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
i386 Linux
low Severity low
: ---
: ---
Assigned To: Adrian Likins
Jay Turner
Depends On:
  Show dependency treegraph
Reported: 2002-03-24 04:13 EST by James Manning
Modified: 2015-01-07 18:55 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-03-25 18:41:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description James Manning 2002-03-24 04:13:33 EST
seems like the first line I get back is valid, but the rest I don't get why 
it's happening - I don't get why you'd need anything interactive just to list 

[root@bp6 up2date_client]# up2date --show-channels
No interactive mode available
Please specify either -l, -u, --nox, or package names as command line arguments.
Usage: up2date [OPTIONS] <packages>
  --configure                 graphically configure Update Agent options
  -d, --download              download packages only, even if configuration
                              says to install
  --src                       Download src packages as well as binary rpms
  --nosrc                     Do not download src packages (overrides config
                              setting if set)
  --dbpath=<dir>              Specify a path where an alternate rpm db is found
  -f, --force                 Force package installation, overriding package
                              and file skip list
  -i, --install               install packages, even if configuration says to
                              download only
  --justdb                    Only add packages to database, do not install to
                              the filesystem
  -l, --list                  list packages available for retrieval
  -h, --help                  this help screen
  -?, --usage                 Briefly describe the options
  -k, --packagedir=STRING     colon separated path of directories to look in
                              for packages
  --nosig                     do not use GPG to check package signatures
  --nox                       do not attempt to use X
  -p, --packages              update packages associated with this System
                              Profile on Red Hat Network
  --showall                   List all packages available for download
  --solvedeps=<deps>          finds, downloads, and installs the packages
                              needed to solve the list of deps
  --tmpdir=<directory>        where to store temporary files / RPMs
  -u, --update                update system with all relevant packages
  --version                   show program version information
  -v, --verbose               Show additional output
  --show-channels             Show the channel names along with the package
                              name where approriate
  --whatprovides=<deps>       shows the packages which solve the comma
                              separated list of deps
  --channel=STRING            Specify which channels to use by channel label
  --nodownload                Do not download packages at all. For testing
Comment 1 Adrian Likins 2002-03-25 18:41:42 EST
hmm, for some reason I have avoided fixing this because I
was thinking it needed substantial changes to the arg parsing.

Looks like I can just exit after showing the channels and
it does what everyone expects. Should be fixed in 2.7.63 or higher
(fix in cvs currently)

Note You need to log in before you can comment on or make changes to this bug.